const { resolve } = require('path');

const canvasInputModule = function () {
  // add edge central client plugin
  this.addTemplate({
    src: resolve(
      __dirname,
      './templates/components/canvas-input/canvas-input.ts'
    ),
    fileName: 'components/canvas-input/canvas-input.ts',
  });
  this.addTemplate({
    src: resolve(
      __dirname,
      './templates/components/canvas-input/canvas-input.vue'
    ),
    fileName: 'components/canvas-input/canvas-input.vue',
  });
  this.addPlugin({
    options: {},
    src: resolve(__dirname, './templates/plugin.ts'),
  });
};

module.exports = canvasInputModule;
module.exports.default = canvasInputModule;

// publishing the module as npm package
module.exports.meta = require('../package.json');
